desc "Run a cobol program"
task :run, [:name] do |_, args|
  name = args[:name] || raise("Specify a program name: rake run[your_program]")
  require_relative '../src/cobol_runner'
  cobol_runner = CobolRunner.new("./config.txt", ENV['OMICS6'], Logger.new(get_file("../log/#{ENV['RACK_ENV'] || 'production'}.log"), 'daily'))
  print "\nRunning: #{name}, with: #{args.extras.join(", ")}\n\n"
  print cobol_runner.run(name, args.extras)
end